TON CenterAPI referenceTransactions
Try locate source transaction
Find the transaction that sent a specific message.
Query Parameters
source*string
Source account address.
destination*string
Destination account address.
created_lt*string
The logical time when the message was created. Available in the created_lt field of message objects.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/tryLocateSourceTx?source=EQDOz0WkOipe6e8v0ExU_VNozZUfRFMTWjuuBkRSndpy9fp_&destination=EQDOj8JxAaq_1ZUE7o4O6pX7PxIsRu9uqq8lLAdBDtB_L-OH&created_lt=78473359000006"{
"ok": true,
"result": {
"@type": "ext.transaction",
"address": {
"@type": "accountAddress",
"account_address": "string"
},
"account": "string",
"utime": 0,
"data": "string",
"transaction_id": {
"@type": "internal.transactionId",
"lt": "string",
"hash": "string"
},
"fee": "string",
"storage_fee": "string",
"other_fee": "string",
"in_msg": {
"@type": "ext.message",
"hash": "string",
"source": "string",
"destination": "string",
"value": "string",
"extra_currencies": [
{
"@type": "extraCurrency",
"id": 0,
"amount": "string"
}
],
"fwd_fee": "string",
"ihr_fee": "string",
"created_lt": "string",
"body_hash": "string",
"msg_data": {
"@type": "msg.dataRaw",
"body": "string",
"init_state": "string"
},
"message": "string",
"message_decode_error": "string"
},
"out_msgs": [
{
"@type": "ext.message",
"hash": "string",
"source": "string",
"destination": "string",
"value": "string",
"extra_currencies": [
{
"@type": "extraCurrency",
"id": 0,
"amount": "string"
}
],
"fwd_fee": "string",
"ihr_fee": "string",
"created_lt": "string",
"body_hash": "string",
"msg_data": {
"@type": "msg.dataRaw",
"body": "string",
"init_state": "string"
},
"message": "string",
"message_decode_error": "string"
}
]
},
"@extra": "string"
}{
"ok": false,
"code": 401,
"error": "API key does not exist"
}{
"ok": false,
"code": 403,
"error": "Network not allowed"
}{
"ok": false,
"code": 404,
"error": "transaction not found"
}{
"ok": false,
"code": 422,
"error": "empty source address"
}{
"ok": false,
"code": 429,
"error": "Ratelimit exceeded"
}{
"ok": false,
"code": 504,
"error": "LITE_SERVER_NETWORK timeout"
}Last updated on